import 'dart:convert';

import 'package:plataforma_educativa/src/models/hijos_model.dart';
import 'package:http/http.dart' as http;

class HijosProvider{
  final String _url = "www.plataforma-educativa.com.mx";

  Future<HijosModel> fetchHijos(String token, String idUsuario, String idEscuela) async{
    final url = Uri.https(_url, 'api/QA/movil/main/v1/users/obtenerHijos');
    final response = await http.post(url,
        headers: {
          'Authorization' : 'Bearer $token'
        },
        body: {
          'idUsuario' : idUsuario,
          'idEscuela' : idEscuela
        }
    );
    final decodedData = jsonDecode(response.body);
    final hijos = HijosModel.fromJson(decodedData);
    return hijos;
  }
}